package de.intevation.gnv.action.sessionmodel;

import de.intevation.gnv.artifactdatabase.objects.ArtifactDescription;
import de.intevation.gnv.artifactdatabase.objects.ArtifactObject;
import de.intevation.gnv.artifactdatabase.objects.ArtifactStatisticsSet;
import de.intevation.gnv.artifactdatabase.objects.OutputMode;

import java.io.Serializable;

import java.util.Collection;

/**
 * This interface describe basic methods to store artifacts and diagram options.
 * The SessionModel is saved in the session, which keeps alive during the work.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface SessionModel extends Serializable {

    Collection<ArtifactObject> getArtifactFactories();

    void setArtifacteFactories(Collection<ArtifactObject> artifactFactories);

    void selectArtifactFactory(String artiFactFactoryId);

    ArtifactObject getSelectedArtifactFactory();

    ArtifactObject getCurrentArtifact();

    void setCurrentArtifact(ArtifactObject artifact);

    void setDiagrammOptions(DiagrammOptions diagrammOptions);

    DiagrammOptions getDiagrammOptions();

    OutputMode getOutputMode(String name);

    ArtifactDescription getArtifactDescription();

    void resetModel();

    void setStatistics(Collection<ArtifactStatisticsSet> statistics);

    Collection<ArtifactStatisticsSet> getStatistics();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :